# Examples of ExoplanetsSysSim in action

ExoplanetsSysSim users are encouraged to add links to their repositories with example use cases, including simple examples, advanced tutorials, and repositories in support of scientific publications.

## Publications using ExoplanetsSysSim 
- [Hsu et al. (2018)](https://doi.org/10.3847/1538-3881/aab9a8) *AJ* 155, 5.  "Improving the Accuracy of Planet Occurrence Rates from Kepler Using Approximate Bayesian Computation": 
See [old repository](https://github.com/dch216/ExoplanetsSysSim.jl/tree/hsu-et-al-2018/examples/hsu_etal_2018) for code that works with Julia v0.6 (before the examples were separated from main code base).  
- [Hsu et al. (2019)](https://doi.org/10.3847/1538-3881/ab31ab) *AJ* 158, 3. "Occurrence Rates of Planets Orbiting FGK Stars: Combining Kepler DR25, Gaia DR2, and Bayesian Inference": 
See [dr25_gaia_fgk folder](https://github.com/ExoJulia/ExoplanetsSysSim.jl/tree/master/examples/dr25_gaia_fgk) of this repository.
- [He et al. (2019)](https://doi.org/10.1093/mnras/stz2869) *MNRAS* 490, 4575 "Architectures of exoplanetary systems – I. A clustered forward model for exoplanetary systems around Kepler’s FGK stars":  
See [He_Ford_Ragozzine_2019 branch](https://github.com/ExoJulia/SysSimExClusters/tree/He_Ford_Ragozzine_2019) of [SysSimExClusters repository](https://github.com/ExoJulia/SysSimExClusters).
- [Hsu et al. (2020)](https://ui.adsabs.harvard.edu/abs/2020arXiv200202573H/abstract) submitted to *MNRAS* (arXiv:2002.02573).  "Occurrence Rates of Planets Orbiting M Stars: Applying ABC to Kepler DR25, Gaia DR2, and 2MASS Data":  
See [dr25_gaia_m folder](https://github.com/ExoJulia/ExoplanetsSysSim.jl/tree/master/examples/dr25_gaia_m) of this repository.
- [He et al. (2019)](https://ui.adsabs.harvard.edu/abs/2020arXiv200304348H/abstract) submitted to *MNRAS* (arXiv:2003.04348).  "Architectures of Exoplanetary Systems. II: An Intrinsic Relation between Planetary System Occurrence and Spectral Type for Kepler's FGK Dwarfs":   
See [He_Ford_Ragozzine_2020 branch](https://github.com/ExoJulia/SysSimExClusters/tree/He_Ford_Ragozzine_2020) of [SysSimExClusters repository](https://github.com/ExoJulia/SysSimExClusters).
- [Gilbert & Fabrycky (2020)](https://ui.adsabs.harvard.edu/abs/2020arXiv200311098G/abstract) submitted to *AJ* (arXiv:2003.11098) "An information theoretic framework for classifying exoplanetary system architectures".  
Used posterior samples from [He et al. (2019)](https://doi.org/10.1093/mnras/stz2869).

## Simple examples & tutorials

- Users are encouraged to add links here.
